Last modified: 2014-10-23 06:59:08 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 71856 - Update usage instructions for mw-ui-destructive
Update usage instructions for mw-ui-destructive
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
MediaWiki UI (Other open bugs)
unspecified
All All
: Normal normal (vote)
: 1.25.0 release
Assigned To: Matthew Flaschen
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2014-10-08 23:21 UTC by Jon
Modified: 2014-10-23 06:59 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Jon 2014-10-08 23:21:27 UTC
Special:Block uses the destructive button

The current documentation says "Use destructive buttons for actions which result in the destruction of data. e.g. deleting a page. This should not be used for cancel buttons."

No data is destroyed by blocking so this message will need to be updated to include actions which result in what could be considered negative actions.
Comment 1 Douglas Gardner 2014-10-12 19:04:46 UTC
I searched MediaWiki core's ./includes directory for "destructive", and found the following places where we currently use a red destructive button:
* Blocking a user
* Resetting one's preferences to the site defaults
* Removing items from one's watchlist

Do we anticipate marking any other actions destructive?
Comment 2 Douglas Gardner 2014-10-12 19:59:49 UTC
(In reply to Douglas Gardner from comment #1)
> I searched MediaWiki core's ./includes directory for "destructive", and
> found the following places where we currently use a red destructive button:
> * Blocking a user
> * Resetting one's preferences to the site defaults
> * Removing items from one's watchlist
> 
> Do we anticipate marking any other actions destructive?

There's also, of course, deleting a page.
Comment 3 Jared Zimmerman (WMF) 2014-10-14 05:30:46 UTC
I'm sure there might be other places that need destructive buttons, If delete page is not destructive, it should be, can you log a bug? Eventually that will likely be "move back to Drafts" which will be constructive action. But we're not there yet.
Comment 4 Prateek Saxena 2014-10-14 05:35:10 UTC
(In reply to Jared in comment #3)
> If delete page is not destructive, it should be, can you log a bug?

With the Beta Feature turned on the delete page uses destructive.
Comment 5 Gerrit Notification Bot 2014-10-23 04:58:24 UTC
Change 168254 had a related patch set uploaded by Mattflaschen:
Tweak 'destructive' use case in style guide

https://gerrit.wikimedia.org/r/168254
Comment 6 Gerrit Notification Bot 2014-10-23 06:59:08 UTC
Change 168254 merged by jenkins-bot:
Tweak 'destructive' use case in style guide

https://gerrit.wikimedia.org/r/168254

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links